module.exports = {
  'env': {
    'browser': true,
    'es2021': true
  },
  'extends': [
    'eslint:recommended',
    'plugin:react/recommended'
  ],
  'settings': {
    'react': {
      'version': '18.2.0'
    }
  },
  'overrides': [],
  'parserOptions': {
    'ecmaVersion': 'latest',
    'sourceType': 'module'
  },
  'plugins': [
    'react'
  ],
  'rules': {
    'indent': [
      'off',
      2
    ],
    'linebreak-style': [
      'off', // 临时关闭，windows会报错
      'unix', // 'windows'
    ],
    'quotes': [
      'error',
      'single'
    ],
    'semi': [
      'error',
      'always'
    ],
    'react/prop-types': 0, // 关闭react的类型检查
    'no-unused-vars': 0, // 关闭未引用报错
  }
};
